Package ru.bitel.bgbilling.kernel.script.common.service

# Interface GlobalScriptService

    public interface GlobalScriptService

Веб-сервис для работы с привязкой глобальных скриптов.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteGlobalScriptLink​(int id)` | Удаляет привязку глобального скрипта по его коду.
  `java.lang.String` | `executeGlobalScript​(int id)` | Выполняет глобальный скрипт с указанным кодом привязки.
  `java.lang.String` | `executeGlobalScriptParams​(int id, ParameterMap params)` | Выполняет глобальный скрипт с указанным кодом привязки и параметрами, которые передаются в скрипт (можно получить в классе через getParams).
  `GlobalScriptLink` | `getGlobalScriptLink​(int id)` | Возвращает привязку глобального скрипта по его коду.
  `java.util.List<GlobalScriptLink>` | `getGlobalScriptLinkList()` | Возвращает список всех привязок глобального скрипта.
  `java.util.List<GlobalScriptLog>` | `getGlobalScriptLogList​(Period period, java.lang.String title, javax.xml.ws.Holder<Page> pageHolder)` | Возвращает список логов глобальных скриптов за определенный период
  `java.lang.String` | `getInterfaceName()` | Возвращает имя интерфейса, который должен имплементировать динамический класс глобального скрипта.
  `java.util.List<java.lang.String>` | `getScriptLogTitleList​(Period period)` |
  `java.lang.String` | `getSuperclassName()` | Возвращает имя суперкласса, который может имплементировать динамический класс глобального скрипта.
  `void` | `updateGlobalScriptLink​(GlobalScriptLink link)` | Изменяет привязку глобального скрипта.

- ## Method Details

  - ### updateGlobalScriptLink

    void updateGlobalScriptLink​(GlobalScriptLink link) throws ru.bitel.bgbilling.common.BGException
    Изменяет привязку глобального скрипта.
    Parameters:
      `link` - привязка глобального скрипта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGlobalScriptLink

    GlobalScriptLink getGlobalScriptLink​(int id) throws ru.bitel.bgbilling.common.BGException
    Возвращает привязку глобального скрипта по его коду.
    Parameters:
      `id` - код привязки глобального скрипта
    Returns:
      привязка
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGlobalScriptLinkList

    java.util.List<GlobalScriptLink> getGlobalScriptLinkList() throws ru.bitel.bgbilling.common.BGException
    Возвращает список всех привязок глобального скрипта.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteGlobalScriptLink

    void deleteGlobalScriptLink​(int id) throws ru.bitel.bgbilling.common.BGException
    Удаляет привязку глобального скрипта по его коду.
    Parameters:
      `id` - код привязки
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### executeGlobalScript

    java.lang.String executeGlobalScript​(int id) throws ru.bitel.bgbilling.common.BGException
    Выполняет глобальный скрипт с указанным кодом привязки.
    Parameters:
      `id` - код привязки
    Returns:
      "вывод", полученный в результате работы глобального скрипта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### executeGlobalScriptParams

    java.lang.String executeGlobalScriptParams​(int id, ParameterMap params) throws ru.bitel.bgbilling.common.BGException
    Выполняет глобальный скрипт с указанным кодом привязки и параметрами, которые передаются в скрипт (можно получить в классе через getParams).
    Parameters:
      `id` - код привязки
      `params` - параметры
    Returns:
      "вывод", полученный в результате работы глобального скрипта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getInterfaceName

    java.lang.String getInterfaceName()
    Возвращает имя интерфейса, который должен имплементировать динамический класс глобального скрипта.
    Returns:

  - ### getSuperclassName

    java.lang.String getSuperclassName()
    Возвращает имя суперкласса, который может имплементировать динамический класс глобального скрипта.
    Returns:

  - ### getScriptLogTitleList

    java.util.List<java.lang.String> getScriptLogTitleList​(Period period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `period` - - период.
    Returns:
      - не повторяющийся список названий выполнившихся скриптов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getGlobalScriptLogList

    java.util.List<GlobalScriptLog> getGlobalScriptLogList​(Period period, java.lang.String title, javax.xml.ws.Holder<Page> pageHolder) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Возвращает список логов глобальных скриптов за определенный период
    Parameters:
      `period` - - за какой период.
      `title` - - если не равен null, то вернет логи с данным title.
      `pageHolder` - - передать null, если нужны все записи за данный период.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`